Subject: String/filecopy
From: [email-masked] (Graham Kennedy)
To: [email-masked]
Date: Sun, 17 Jul 94 10:31 BST-1

To: Jurgen

> Can somebody tell me why this crashes my computer total and even a
> reset doesn't work?
Guru's mine as well, can't give you a reason though.

> I want to make a simple program what uses a string variabel as a
> buffer for copying a file, somebody made it allready????

I think this is what you are after, does the job nicely (don't know
how big blitz strings can be though, so may crash if a file is too big,
with a bit of work you could split the file into manageable chunks and
use the same command)

If OpenFile(0,"s:startup-sequence")
    FileInput 0
    in$=Inkey$(Lof(0))
    DefaultOutput
    NPrint in$
    CloseFile 0
EndIf
MouseWait:End

-----------------------------------------------------------------------
To: Nelson 

> Well, no one answered my last message about Screen Copying.
If you want to post a bit of example code, I'll see if I can work out
what is going on.

> True or False: You NEED a Screen in order to have a Bitmap.
Erm, not too well up on this myself, but as far as I know a bitmap can
exist without a screen, as you can create a bitmap, draw on it, then attach
it to a screen. In BLITZ mode this can be displayed as is. In amiga mode I
think it has to be attached to a screen.

> If this is FALSE, then I am lost, please explain WHY it's false.
Dunno

> but how do I inhibit the user from pressing Left-Amiga-M to switch
> screens?  BLITZ mode right?
> But in Blitz mode, we can't use screens, or bring other screens
> to the front of the display etc...  So how do I go about it?
I havn't used blitz mode (I tend to stick to intuition etc) but as far as I
am aware all the stuff you need is to do with manipulating the slices, but
any further than that is beyond me.

Graham K.